Get Policy
curl --request GET \
--url https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/access \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/access"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.korve.dev/v1/orgs/{orgId}/projects/{projectId}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mode": "public",
"previewMode": "inherit",
"environmentOverrides": [
{
"environment": "<string>",
"mode": "public"
}
],
"version": 2,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"enforcement": {
"status": "ready",
"reason": "<string>"
}
}appAccess
Get Policy
Get the effective project policy and explicit environment/preview inheritance.
GET
/
v1
/
orgs
/
{orgId}
/
projects
/
{projectId}
/
access
Get Policy
Authorizations
apiKeysession
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The organization's id (UUID) or slug — either form is accepted.
The project's id (UUID) or slug — either form is accepted.
Response
Application access policy.
Available options:
public, authenticated, organization, invite_only Access for pull-request previews. Inherit uses the project mode.
Available options:
inherit, public, authenticated, organization, invite_only Show child attributes
Show child attributes
Required range:
x >= 1Show child attributes
Show child attributes